/**
 * 
 */
package org.springblade.modules.system.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.Getter;

/**
 * @author wookvn
 *
 *	0-聚合函数
	1-统计函数
	2-日期和时间
	3-字符串函数
	4-逻辑函数
	5-数值函数
	6-数组函数
	7-自定义函数
	99-其他
 */
@Getter
public enum FunctionAttrEnum {

	juhe(0, "聚合函数"),
	
	tongji(1, "统计函数"),
	
	dateime(2, "日期和时间"),
	
	string(3, "字符串函数"),
	
	logic(4, "逻辑函数"),
	
	number(5, "数值函数"),
	
	array(6, "数组函数"),
	
	custom(7, "自定义函数"),
	
	other(99, "其他");
	
	@EnumValue
	private int value;
	private String message;
	
	/**
	 * @param value
	 * @param message
	 */
	private FunctionAttrEnum(int value, String message) {
		this.value = value;
		this.message = message;
	}
}
